Bug 17973 - Add the Koha::Checkout->item method
Summary: Add the Koha::Checkout->item method
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Jonathan Druart
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks: 17966
  Show dependency treegraph
 
Reported: 2017-01-23 16:56 UTC by Jonathan Druart
Modified: 2017-12-07 22:17 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 17973: Add the Koha::Checkout->item method (1.88 KB, patch)
2017-01-23 17:01 UTC, Jonathan Druart
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 17973: Add the Koha::Checkout->item method (1.95 KB, patch)
2017-01-23 21:43 UTC, Josef Moravec
Details | Diff | Splinter Review
Bug 17973: Add the Koha::Checkout->item method (1.99 KB, patch)
2017-02-17 11:10 UTC, Nick Clemens
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Druart 2017-01-23 16:56:28 UTC

    
Comment 1 Jonathan Druart 2017-01-23 17:01:07 UTC
Created attachment 59442 [details] [review]
Bug 17973: Add the Koha::Checkout->item method

Test plan:
  prove t/db_dependent/Koha/Checkouts.t
should return green
Comment 2 Josef Moravec 2017-01-23 21:43:09 UTC
Created attachment 59465 [details] [review]
[SIGNED-OFF] Bug 17973: Add the Koha::Checkout->item method

Test plan:
  prove t/db_dependent/Koha/Checkouts.t
should return green

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>
Comment 3 Nick Clemens 2017-02-17 11:10:57 UTC
Created attachment 60398 [details] [review]
Bug 17973: Add the Koha::Checkout->item method

Test plan:
  prove t/db_dependent/Koha/Checkouts.t
should return green

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>
Signed-off-by: Nick Clemens <nick@bywatersolutions.com>
Comment 4 Kyle M Hall 2017-02-17 12:11:40 UTC
Pushed to master for 17.05, thanks Jonathan!
Comment 5 Katrin Fischer 2017-02-19 20:23:53 UTC
This won't get ported back to 16.11.x as it is an enhancement.